#version 330 core 

uniform sampler2D waterTex;
uniform float sysTime;
uniform vec2 resolution;
uniform int dark;
uniform int topRipple;  

in vec2 vTexCoord;

out vec4 color;

void main() {
  vec3 texColor;
  vec2 newPos;
  float posLen, timeCalc;
  float transparency;

  if ((vTexCoord.x > 0.02 && vTexCoord.x < 0.98) && (vTexCoord.y > 0.02 && vTexCoord.y < 0.98)) {
  	if (topRipple == 1) {
  		newPos = -1.0 + 3.0 * vTexCoord.xy/resolution.xy; 
	  	posLen = length(newPos);
	  	timeCalc = cos(posLen*30.0-sysTime*5)*0.1;     //sin c function
  	} else { 
	  	newPos = -1.0 + 3.0 * vTexCoord.xy/resolution.xy; 
	  	posLen = length(newPos);
	  	timeCalc = cos(posLen*20.0-sysTime*5)*0.01;     //sin c function
	}
	vec2 tex = vTexCoord.xy/resolution.xy+(newPos/posLen)*timeCalc;
	texColor = texture(waterTex,tex).xyz;
	transparency = 0.5;
  } 
  else {
  	if (dark == 1) {   
	  	texColor = vec3(1.0, 1.0, 1.0);
	} else {
		texColor = vec3(0.0, 0.0, 0.0);
	} 
	transparency = 1.0;
  }
  color = vec4(texColor,transparency);
}
