#version 330 core 

uniform sampler2D coralTex;
uniform float sysTime;

in vec2 vTexCoord;

out vec4 color;

void main() {

	vec4 texColor;
	float posLen = length(vTexCoord.xy);
	float timeCalc = sin(posLen*20.0-sysTime*6)*0.03;     //sin c function

	vec2 tex = vTexCoord.xy+(vTexCoord.xy/posLen)*timeCalc;
	texColor = texture(coralTex,tex);
	if (texColor.a <= 0.0 || texColor.r >= 0.5 && texColor.g >= 0.5 && texColor.b >= 0.5) {
		discard;
	}
    color = vec4(texColor.xyz*vec3(1.0, 0.0, 0.0),1.0);
}