#version 330 core 
in vec3 fragNor;
in vec3 WPos;
//to send the color to a frame buffer
layout(location = 0) out vec4 color;

uniform vec3 MatAmb;
uniform vec3 MatDif;
uniform vec3 MatSpec;
uniform vec3 light;
uniform float shine;

/* Very simple Diffuse shader */
void main()
{
	vec3 lightColor = vec3(0.38, 0.72, 1.0);
	vec3 Dcolor, Scolor;
    vec3 Dlight = normalize(light-WPos);
	vec3 normal = normalize(fragNor);
	vec3 view = -1*normalize(WPos);
	vec3 halfVector = normalize(Dlight + view);
	vec3 specColor = MatSpec* pow(max(dot(halfVector, normal), 0), shine);
	Dcolor = MatDif*max(dot(Dlight, normal), 0)+MatAmb + specColor;
	color = vec4(Dcolor*lightColor, 1.0);
}
